Subject: [xml2rfc] preferred values for <sourcecode> type

From: Alice Russo <[email-masked]>
Date: Tue, 5 Nov 2019 10:59:17 -0800

An FYI and a proposal regarding <sourcecode> type are below. ("The value of this attribute is free text with certain values designated as preferred." - RFC 7991)

From the FAQ:
> 7.9  What are the preferred values for the type of the <sourcecode> element?
> 
> Please see the list on [1] https://www.rfc-editor.org/materials/sourcecode-types.txt.
> For details, see Section 2.48.4 of [RFC7991].

FYI, since RFC 7991, 'sdp' and 'yangtree' were added to [1].

Proposal: add 'enumerated' to the list, as described in Section 3.5 of RFC 8446 (https://www.rfc-editor.org/rfc/rfc8446#section-3.5).

Use case: in Sections 3 and 4 of https://www.ietf.org/id/draft-bruckert-brainpool-for-tls13-07.txt. Example below.

Please let us know if this is not acceptable. Or, if something more general like 'datatype' is preferred.

Thanks,
Alice
--

example:

<sourcecode type="enumerated">
           enum {
                brainpoolP256r1tls13(31),
                brainpoolP384r1tls13(32),
                brainpoolP512r1tls13(33)
           } NamedGroup;
</sourcecode>

---

From: Julian Reschke <[email-masked]>
Date: Tue, 5 Nov 2019 20:34:36 +0100

> Proposal: add 'enumerated' to the list, as described in Section 3.5 of RFC 8446 (https://www.rfc-editor.org/rfc/rfc8446#section-3.5).

Hm. Is "enumerated" a *language*? Looking at RFC 8446, it seems to be
part of something called "Presentation Language", so I would assign a
name to that thing (such as "tls-presentation").

> ...

Best regards, Julian

---

From: Carsten Bormann <[email-masked]>
Date: Wed, 6 Nov 2019 01:01:59 +0100

> name to that thing (such as "tls-presentation").

Yes, indeed.  TLS presentation language.  “tls-presentation” sounds like a fine abbrev for that.

Grüße, Carsten

---

From: Alice Russo <[email-masked]>
Date: Tue, 5 Nov 2019 16:14:33 -0800

Understood; thanks. Will update the list accordingly. 

Any suggestion for the type for test vectors as in App. A.1 - A.3 of the same document (https://www.ietf.org/id/draft-bruckert-brainpool-for-tls13-07.txt)? Or would you use artwork?

Thanks,
Alice 

> On Nov 5, 2019, at 4:01 PM, Carsten Bormann <[email-masked]> wrote:
>

---

From: Carsten Bormann <[email-masked]>
Date: Wed, 6 Nov 2019 01:33:31 +0100

On Nov 6, 2019, at 01:14, Alice Russo <[email-masked]> wrote:
> Any suggestion for the type for test vectors as in App. A.1 - A.3 of the same document (https://www.ietf.org/id/draft-bruckert-brainpool-for-tls13-07.txt)?

This is a freeform language that will require some manual processing before it can be fed into anything.  I think it would be useful to have a <sourcecode> type for this kind of pseudocode.

> Or would you use artwork?

Not really, because there is nothing spatial about it — there is no need to preserve horizontal alignment etc.

Grüße, Carsten